Subject: Re: bug#62216: Odd file corruption in clojure mode and emacs 30 HEAD

From: Jonathon McKitrick <[email-masked]>
Date: Tue, 25 Jul 2023 10:34:52 +0000

On Sun, Jul 23, 2023 at 05:35:46PM +0300, Eli Zaretskii wrote:
: > Date: Sun, 23 Jul 2023 13:58:34 +0000
: > From:  Jonathon McKitrick via "Bug reports for GNU Emacs,
: >  the Swiss army knife of text editors" <[email-masked]>
: > 
: > After some exhaustive git bisecting and init file tweaking, I've narrowed it down to a surprising culprit: desktop mode

So apparently desktop save mode isn't the culprit, just the main agitator. It seems the issue involves reverting buffers, and any mode that does that.
Disabling desktop save mode reduces the issue frequency, but I'm still seeing it in my daily workflow, which involves CIDER and clojure.

I'll keep researching....

Jonathon McKitrick
--
'My other computer is your Linux box.'